Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.term
Class OBOGO_term

    java.lang.Object
      |
      +--edu.hust.go.term.DefaultGO_term
            |
            +--edu.hust.go.term.OBOGO_term

All Implemented Interfaces:
  java.lang.Cloneable, GO_term

public class OBOGO_term
extends DefaultGO_term

Field Summary
`(package private) java.util.Vector` | `alt_id`
`(package private) java.util.Vector` | `broad_synonym`
`(package private) java.lang.String` | `comment`
`(package private) java.util.Vector` | `exact_synonym`
`(package private) boolean` | `is_obsolete`
`(package private) java.lang.String` | `namespace`
`(package private) java.util.Vector` | `narrow_synonym`
`(package private) java.util.Vector` | `related_synonym`
`(package private) java.util.Vector` | `relationship`
`(package private) java.util.Vector` | `subset`
`(package private) java.util.Vector` | `synonym`
`(package private) java.util.Vector` | `use_term`
`(package private) java.util.Vector` | `xref_analog`
`(package private) java.util.Vector` | `xref_unknown`

Fields inherited from class edu.hust.go.term.DefaultGO_term
`def, id, is_a, name, part_of`

Constructor Summary
`OBOGO_term(java.util.HashMap map)`

Method Summary
`(package private) boolean` | `setBool(java.util.HashMap map, java.lang.String key)`
`(package private) java.lang.String` | `setStr(java.util.HashMap map, java.lang.String key)`
`(package private) java.util.Vector` | `setVector(java.util.HashMap map, java.lang.String key)`

Methods inherited from class edu.hust.go.term.DefaultGO_term
`getDef, getId, getIs_a, getName, getPart_of, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### synonym

    java.util.Vector synonym

### is_obsolete

    boolean is_obsolete

### namespace

    java.lang.String namespace

### alt_id

    java.util.Vector alt_id

### comment

    java.lang.String comment

### subset

    java.util.Vector subset

### related_synonym

    java.util.Vector related_synonym

### exact_synonym

    java.util.Vector exact_synonym

### narrow_synonym

    java.util.Vector narrow_synonym

### broad_synonym

    java.util.Vector broad_synonym

### xref_analog

    java.util.Vector xref_analog

### xref_unknown

    java.util.Vector xref_unknown

### relationship

    java.util.Vector relationship

### use_term

    java.util.Vector use_term

Constructor Detail

### OBOGO_term

    public OBOGO_term(java.util.HashMap map)

Method Detail

### setStr

    java.lang.String setStr(java.util.HashMap map,
                            java.lang.String key)

### setVector

    java.util.Vector setVector(java.util.HashMap map,
                               java.lang.String key)

### setBool

    boolean setBool(java.util.HashMap map,
                    java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD